package com.ruoyi.web.v2.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.model.JsDivideCircle;
import com.ruoyi.web.v2.model.JsRestInspection;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0静养巡查登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsRestInspectionService extends IService<JsRestInspection> {


//    AjaxResult add(String restInspectionTime, String pigpenName, MultipartFile files, String restInspectionContent,
//                   String handle,Integer dealAmount, String userName, Integer divideCircleId) throws IOException;
//
//    AjaxResult edit(Integer id,String restInspectionTime, MultipartFile files,String restInspectionContent,
//                    String handle,Integer dealAmount,String userName) throws IOException;

    int add(JsRestInspection jsRestInspection) throws Exception;

    AjaxResult edit(JsRestInspection jsRestInspection);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String pigpenName);

    AjaxResult listAll();

    //根据待宰圈ID获取最新的分圈，或者根据分圈ID获取分圈信息
    JsDivideCircle listByPigpen(JsDivideCircle req);

    /*
     *获取最新添加的记录
     */
    public JsRestInspection selectLastRecord();
}
